|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerTaskMenuExtension Class Reference

    #include <QDesignerTaskMenuExtension>

Part of the QtDesigner module.

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerTaskMenuExtension ()
- virtual QAction * preferredEditAction () const
- virtual QList<QAction *> taskActions () const = 0

## Detailed Description

## Member Function Documentation

### QDesignerTaskMenuExtension::~QDesignerTaskMenuExtension () `[virtual]`

### QAction * QDesignerTaskMenuExtension::preferredEditAction () const `[virtual]`

### QList<QAction *> QDesignerTaskMenuExtension::taskActions () const `[pure virtual]`